Bug 1569736 - Rebase mutter to 3.28.0
Summary: Rebase mutter to 3.28.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: mutter
Version: 7.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Florian Müllner
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1567133 1649404
TreeView+ depends on / blocked
 
Reported: 2018-04-19 22:57 UTC by Matthias Clasen
Modified: 2018-11-13 15:03 UTC (History)
11 users (show)

Fixed In Version: mutter-3.28.2-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 10:24:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3140 0 None None None 2018-10-30 10:25:12 UTC

Description Matthias Clasen 2018-04-19 22:57:05 UTC
As part of the desktop rebase in 7.6, we need to rebase mutter to the version that is shipped with GNOME 3.28.

Comment 2 Kalev Lember 2018-05-16 14:48:13 UTC
Rebase branch: http://pkgs.devel.redhat.com/cgit/rpms/mutter/log/?h=private-rhel-7.6-rebase

This needs help from people who understand mutter -- Florian, Carlos, Jonas can you take a look please?

I've rebased the patches as much as I could, and dropped the rest.

0001-monitor-manager-xrandr-Force-an-update-when-resuming.patch is one of the dropped patches that doesn't seem to have gotten merged upstream -- is it still needed? Can someone rebase it in that case and add it back in private branch, please?

I've edited the following patches to apply, review appreciated:

0001-Revert-build-Require-libgudev-232.patch
0001-monitor-manager-xrandr-Work-around-spurious-hotplugs.patch
0008-Add-support-for-quad-buffer-stereo.patch

Dropped patches are too numerous to list here, please take a look at the branch.

Also, when commiting patches, it would be really nice to organize them so that we have a section with "Backported patches from upstream" and another one with "RHEL downstream patches" so that it's clear which ones need rebasing and which can be dropped when updating to a new version.

Also, any chance to get a few more of the patches upstream? :)

Thanks,
Kalev

Comment 3 Kalev Lember 2018-05-16 14:54:11 UTC
Also ended up dropping 0001-monitor-manager-xrandr-Work-around-spurious-hotplugs.patch -- is it still needed? Can someone rebase it in that case, please?

Comment 4 Jonas Ådahl 2018-05-23 16:07:05 UTC
Why did you drop 0001-monitor-manager-xrandr-Work-around-spurious-hotplugs.patch. Have Xvnc stopped turning off/on its outputs?

Whether 0001-monitor-manager-xrandr-Force-an-update-when-resuming.patch is needed anymore depends on whether it still reproduces on the hardware it reproduced on before, since it seems like a work-around missing hotplug events.

The rest of the branch (rebased patches and dropping of patches that seem to have landed upstream) looks good to me.

Comment 5 Kalev Lember 2018-05-23 16:15:34 UTC
Right, that's exactly the part that needed help :) Can you rebase the two patches and add them back on the private rebase branch please? I only dropped them to get things building quickly in the rebase COPR (https://copr.devel.redhat.com/coprs/klember/rhel-7-gnome-3-28/)

If you need to test building the package, please request access in the copr.

Comment 6 Kalev Lember 2018-05-23 16:43:06 UTC
Forgot to say thanks for the help!

Comment 7 Jonas Ådahl 2018-05-25 08:40:03 UTC
I went and reimplemented the force-reload-on-resume patch on top of todays mutter, but when finding the corresponding bug upstream, I noticed that Rui had mentioned that the bug should already be fixed in linux-4.5. Any chance to get this rechecked by QA without the patch?

Comment 8 Kalev Lember 2018-05-25 09:02:12 UTC
Sure, added tpelka from QA to CC who can maybe help recheck it. I'll just note that we have kernel-3.10.0-862.3.2.el7 in RHEL 7 right now, which may or may not have that fix backported.

Comment 9 Tomas Pelka 2018-05-25 09:08:17 UTC
(In reply to Kalev Lember from comment #8)
> Sure, added tpelka from QA to CC who can maybe help recheck it. I'll just
> note that we have kernel-3.10.0-862.3.2.el7 in RHEL 7 right now, which may
> or may not have that fix backported.

Note that we have kernel-3.10.0-874.el7.rhel76drm.03.x86_64 from http://file.rdu.redhat.com/~btissoir/RHEL-7.6-xorg-rebase which if I'm not mistaken should include all (or majority) planned DRM backported fixes for rhel7.6.

Comment 10 Jonas Ådahl 2018-05-25 09:45:52 UTC
The commit that should fix the issue according to Rui (from the upstream bug report) is https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=2dc2f761dea65069485110d24eaa5b0d5d808b07. Is that one backported?

Comment 11 Kalev Lember 2018-05-25 09:52:15 UTC
Benjamin do you know?

Comment 12 Benjamin Tissoires 2018-05-25 10:01:18 UTC
that commit has been included in v4.5, so we should already have it in a released 7.5 kernel. I can not remember the exact kernel we rebased in 7.5, but it was more in the v4.1X than v4.0X

Comment 13 Jonas Ådahl 2018-05-25 10:48:14 UTC
Speaking of potentially dropping/upstreaming patches, Florian, what crash does 0001-monitor-manager-Consider-external-layout-before-defa.patch fix? The commit message is about better initial configuration, but the git log is about a crash and links to https://bugzilla.redhat.com/show_bug.cgi?id=1481386.

Comment 14 Richard Hughes 2018-06-01 10:35:55 UTC
Hey all.

To check: are we okay with dropping:

Patch8:  0001-backends-x11-Preserve-XI1-XDevice-throughout-Clutter.patch
Patch10: 0001-backends-x11-wacom-pressure-curve-is-a-32-bit-proper.patch
Patch11:  0001-renderer-x11-Enable-GPU-memory-purge-error-extension.patch
Patch12:  0001-backends-Monitor-changes-in-active-tools-settings.patch
Patch13:  0001-clutter-x11-Implement-missing-ClutterInputDevice-pad.patch
Patch14:  wacom-pro-pen-3d.patch
Patch102: mutter-3.26.0-hybrid-gpus.patch
Patch105: remember-saved-multi-monitor-configuration.patch
Patch106: 0003-window-wayland-Handle-resizing-when-headless.patch
Patch107: fix-session-save-crash.patch
Patch108: 0001-wayland-Do-not-fail-on-stalled-.X11-unix-entries.patch
Patch500: 0001-clutter-stage-don-t-use-deprecated-api.patch

Can somebody confirm that those patches are already upstream please? We should have already built packages a few weeks ago, and I'm still desperate for the rebase to not be cancelled. Thanks.

Comment 16 Bill Sanford 2018-08-15 13:01:40 UTC
Verified on RHEL-7.6-20180812.n.0

Comment 18 Kalev Lember 2018-09-06 10:21:12 UTC
Parag, looks like something going wrong with Caribou, do you know what's going on here?

Comment 21 Parag Nemade 2018-09-06 13:52:12 UTC
It has become very confusing for me why Desktop team or gnome-shell maintainers do not want to obsolete caribou package in rhel-7.6

Comment 22 Kalev Lember 2018-09-06 14:04:00 UTC
Ohh, is the issue that it just needs to be removed for things to work correctly? Can you file a bug to obsolete caribou please, if that's the case?

Comment 23 Parag Nemade 2018-09-06 14:15:10 UTC
No no its just one issue to make sure QE people while reporting bug will not give below debug message while reporting bugs

"caribou-gtk-module.c: line 1028: unexpected error additionally: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.gnome.Caribou.Keyboard was not provided by any .service files (g-dbus-error-quark"

We do have issues currently and need explicit testing of new OSK under Gnome, Gnome Classic and Gnome on Wayland sessions.

For obsoleting caribou package we have now 2 bugs already reported
1) bug 1624229 Drop Caribou package from the Final 7.6 release
2) bug 1625882 - gnome-shell should obsolete Caribou* 

I think currently the first priority to be given for this separate OSK bug 1625700 which anyways also getting discussed in bug 1521077

I have tested successfully new OSK functionality under Wayland session but somehow OSK has stopped appearing in most of the applications. 

I tested on recent snapshot2.

Comment 24 Tomas Pelka 2018-09-10 13:35:06 UTC
bug 1625882 should be now resolved - I mean gnome-shell should obsolete it for 7.6.

I guess we can now move mutter to verified.

Comment 26 errata-xmlrpc 2018-10-30 10:24:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3140


Note You need to log in before you can comment on or make changes to this bug.